/*
	Simple case: Enter a file as input and dislay it
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int printFile(const char *fileName)
{
	FILE *fp = (FILE *)NULL;
	if ((fp = fopen(fileName, "r")))
	{
		char buffer[512];
		unsigned int lNumber = 0;
		while (fgets(buffer, 512, fp))
		{
			printf("%3d: %s", ++lNumber, buffer);
		}		
		fclose(fp);
		return 0;
	}
	return 1;
}

/* 
	One of the most basic filtering, remove the '/'
*/
void inputFiltering(char *fName)
{
	char buf[256]="";
	char *c = fName, *b = buf;
	for (;*c != '\0';c++)
	{
			if (*c == '/') c++;
			*b++ = *c;
	}
	strncpy(fName, buf, 255);
}


int main(int argc, char *argv[])
{
	// Open the file in the command line
	if (argc > 1)
	{
		char fName[256] = "";
		strncpy(fName, argv[1], 255);
		inputFiltering(fName);

		if (printFile(fName))
		{
			printf("Argument error, the file is not readable.\n");
		}
	}
	return 0;	
}
