#include <stdio.h>
#include <cgic.h>
#include <string.h>
#include <stdlib.h>

int cgiMain() 
{
	cgiHeaderContentType("text/html");
	/* 
		Top of the page 
	*/
	fprintf(cgiOut, "<html><head>\n");
	fprintf(cgiOut, "<title>Cross-Site Scripting</title></head>\n");
	fprintf(cgiOut, "<body><h1>XSS Test</h1>\n");
	/* 
		If a the parameter 'q1','q2',etc. has some data, print it 
	*/
	char q[4][1024];
	unsigned int i = 0;
	for (; i < 4; ++i){
		char name[2];
		sprintf(name,"q%d",i);
		cgiFormString(name, q[i], sizeof(q[i]));
		if (strlen(q[i]))
		{
			fprintf(cgiOut, "Value number %d = ", i);
			/* Output the escaped HTML string */
			cgiHtmlEscape(q[i]);
			fprintf(cgiOut, "<br />");
		}
	}		
	/* Finish up the page */
	fprintf(cgiOut, "</body></html>\n");
	return 0;
}
